MultiCreateItem (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union

## Interface MultiCreateItem

- All Known Implementing Classes:
    MultiCreateItemImpl

      public interface MultiCreateItem

  Specifies an element of an array used to create interleaved audio and video essence.

  Interleaved-essence: An essence format that combines two or more channels of audio or video data into a single essence stream.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AUID` | `getMediaKind()` Returns the kind of media represented by this item.
    `Rational` | `getSampleRate()` Returns the sample rate of this item.
    `short` | `getSubTrackNum()` Returns the sub track number associated with this item, which is the physical output channel.
    `int` | `getTrackID()` Returns the track id of this item within its package.
    `void` | `setMediaKind(AUID mediaKind)` Sets the kind of media represented by this item.
    `void` | `setSampleRate(Rational sampleRate)` Sets the sample rate of this item.
    `void` | `setSubTrackNum(short subTrackNum)` Sets the sub track number associated with this item, which is the physical output channel.
    `void` | `setTrackID(int trackID)` Sets the track id of this item within its package.

- - ### Method Detail

    - #### getMediaKind

          AUID getMediaKind()

      Returns the kind of media represented by this item.

      Returns:
        Kind of media represented by this item.

    - #### setMediaKind

          void setMediaKind(AUID mediaKind)
                     throws NullPointerException

      Sets the kind of media represented by this item.

      Parameters:
        `mediaKind` - Kind of media represented by this item.
      Throws:
        `NullPointerException` - The given media kind is `null`.

    - #### getSampleRate

          Rational getSampleRate()

      Returns the sample rate of this item.

      Returns:
        Sample rate of this item.

    - #### setSampleRate

          void setSampleRate(Rational sampleRate)
                      throws NullPointerException,
                             IllegalArgumentException

      Sets the sample rate of this item.

      Parameters:
        `sampleRate` - Sample rate of this item.
      Throws:
        `NullPointerException` - The given sample rate for the item is `null`.
        `IllegalArgumentException` - The given sample rate for this multi-create item has a zero denominator or is negative.

    - #### getTrackID

          @TrackID
          int getTrackID()

      Returns the track id of this item within its package.

      Returns:
        Track id of this item.

    - #### setTrackID

          void setTrackID(@TrackID
                          int trackID)

      Sets the track id of this item within its package.

      Parameters:
        `trackID` - Track id of this item.
      Throws:
        `IllegalArgumentException` - The given track id for this multi-create item is negative.

    - #### getSubTrackNum

          @Int16
          short getSubTrackNum()

      Returns the sub track number associated with this item, which is the physical output channel.

      Returns:
        Sub track number associated with this item.

    - #### setSubTrackNum

          void setSubTrackNum(@Int16
                              short subTrackNum)

      Sets the sub track number associated with this item, which is the physical output channel.

      Parameters:
        `subTrackNum` - Sub track number associated with this item.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.